<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "انتخاب دسته:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "Select a page:");       
	
		//Testing 
		$of_options_select 	= array("one","two","three","four","five"); 
		$of_options_radio 	= array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
		
		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);


		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) 
		{
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) 
		    { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) 
		        {
		            if(stristr($alt_stylesheet_file, ".css") !== false)
		            {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}


		//Background Images Reader
		$bg_images_path = get_stylesheet_directory(). '/images/bg/'; // change this to where you store your bg images
		$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		            	natsort($bg_images); //Sorts the array into a natural order
		                $bg_images[] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}
		

		/*-----------------------------------------------------------------------------------*/
		/* RainGraph.Ir*/
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$other_entries 		= array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat 		= array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos 			= array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		// Image Alignment radio box
		$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 
		
		// Image Links to Options
		$of_options_image_link_to = array("image" => "The Image","post" => "The Post"); 


/*-----------------------------------------------------------------------------------*/
/* RainGraph.Ir */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options;
$of_options = array();

// home settings

$of_options[] = array( 	"name" 		=> "توضیحات و متون",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-info.png"
				);
				
$of_options[] = array( 	"name" 		=> "متن پیش فرض جستجو",	
						"desc" 		=> "متنی که به صورت پیشفرض در قسمت جستجو نمایش داده می شود .",	
						"id" 		=> "search_text",
						"std" 		=> "جستجو ...",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "موزیک آنلاین",	
						"desc" 		=> "لینک موزیک آنلاین در این بخش وارد کنید",	
						"id" 		=> "feature_text",
						"std" 		=> "لینک موزیک",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> " عکس موزیک آنلاین",	
						"desc" 		=> "لینک تصویر موزیک آنلاین در این بخش وارد کنید",	
						"id" 		=> "sitealert_title",
						"std" 		=> get_template_directory_uri() ."/images/online-play.jpg",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "نام موزیک آنلاین",
						"desc" 		=> "نام موزیک آنلاین در این بخش وارد کنید",
						"id" 		=> "sitealert_text",
						"std" 		=> "عارف-عاشقانه",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> "متن کپی رایت سایت",
						"desc" 		=> "متنی که در قسمت پایین سایت جهت رعایت کپی رایت نمایش داده می شود .",
						"id" 		=> "copyrights_text",
						"std" 		=> "تمام حقوق برای وب سایت فاز موزیک محفوط می باشد . ©",
						"type" 		=> "textarea"
				);
				
// pics settings
	
$of_options[] = array( 	"name" 		=> "لوگو و اسلایدر",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-paint.png"
				);

				
$of_options[] = array( 	"name" 		=> "لگو سایت",	
						"desc" 		=> "جهت تغییر لگو سایت کافیست لینک خود را با لینک مقابل عوض کنید", 
						"id" 		=> "media_upload_logo", 	
						"std" 		=> get_template_directory_uri() ."/images/logo.png", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "تصویر اسلایدر اول",	
						"desc" 		=>  "جهت تغییر تصویر اسلایدر لینک تصویر از این مکان تغییر بدید",	
						"id" 		=> "media_upload_retina_60", 	
						"std" 		=> get_template_directory_uri() ."/images/1.jpg", 		
						"type" 		=> "upload" 	
				);
$of_options[] = array( 	"name" 		=> "نام خواننده اسلایدر اول",	
						"desc" 		=> "جهت تغییر نام خوانند اسلایدر اول از این بخش استفاده کنید.",	
						"id" 		=> "dlpb_link",
						"std" 		=> "شادمهر عقیلی",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "نام اثر خواننده اسلایدر اول",	
						"desc" 		=> "جهت تغییر نام اثر خواننده اسلایدر اول از این بخش استفاده کنید",	
						"id" 		=> "contact_link",
						"std" 		=> "قلب من",
						"type" 		=> "text"	
				);				
				
$of_options[] = array( 	"name" 		=> "تصویر اسلایدر دوم",	
						"desc" 		=> "جهت تغییر تصویر اسلایدر لینک تصویر از این مکان تغییر بدید", 
						"id" 		=> "media_upload_retina_76", 	
						"std" 		=> get_template_directory_uri() ."/images/2.jpg", 		
						"type" 		=> "upload" 	
				);
$of_options[] = array( 	"name" 		=> "نام خواننده اسلایدر دوم",	
						"desc" 		=> "جهت تغییر نام خوانند اسلایدر دوم از این بخش استفاده کند.",	
						"id" 		=> "about_link",
						"std" 		=> "احسان خواجه امیری",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "نام اثر خواننده اسلایدر دوم",	
						"desc" 		=> "جهت تغییر نام اثر خواننده اسلایدر دوم از این بخش استفاده کنید",	
						"id" 		=> "feedburner_code",
						"std" 		=> "عاشق کی بشی",
						"type" 		=> "text"	
				);	
				
$of_options[] = array( 	"name" 		=> "تصویر اسلایدر سوم",	
						"desc" 		=> "جهت تغییر تصویر اسلایدر لینک تصویر از این مکان تغییر بدید", 
						"id" 		=> "media_upload_retina_120", 	
						"std" 		=> get_template_directory_uri() ."/images/3.jpg", 		
						"type" 		=> "upload" 	
				);

$of_options[] = array( 	"name" 		=> "نام خواننده اسلایدر سوم",	
						"desc" 		=> "جهت تغییر نام خوانند اسلایدر سوم از این بخش استفاده کنید.",	
						"id" 		=> "offer_tag",
						"std" 		=> "محمد علیزاده",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "نام اثر خواننده اسلایدر سوم",	
						"desc" 		=> "جهت تغییر نام اثر خواننده اسلایدر سوم از  این بخش استفاده کنید",	
						"id" 		=> "feature_tag",
						"std" 		=> "تو بری بارون",
						"type" 		=> "text"	
				);					
				
// General Settings

$of_options[] = array( 	"name" 		=> "مدیریت تبلیغات",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-home.png"
				);
				
$of_options[] = array( 	"name" 		=> "کد تبلیغات بلوک سمت چپ",
						"desc" 		=> "جهت تغییر تبلیغات بلوک سمت چپ کافیست کد مقابل ویرایش کنید",
						"id" 		=> "topads_text",
						"std" 		=> "<img src='".get_template_directory_uri()."/images/ADS-120-240-Blue.gif' alt='ads' width='120' height='240' />",
						"type" 		=> "textarea"
				);
			
// Styling options
				
$of_options[] = array( 	"name" 		=> "تلگرام",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-add.png"
				);
				
$of_options[] = array( 	"name" 		=> "عنوان تلگرام",	
						"desc" 		=> "از این بخش می توانید متن فارسی داخل باکس تلگرام تغییر بدید .",	
						"id" 		=> "instagram_link",
						"std" 		=> " کانال تلگرام سایت",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "لینک تلگرام",	
						"desc" 		=> "لینک کانال تلگرام سایت را وارد کیند .",	
						"id" 		=> "telegram_link",
						"std" 		=> "",
						"type" 		=> "text"	
				);
				
// Backup Options
$of_options[] = array( 	"name" 		=> "پشتیبان گیری",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-slider.png"
				);
				
$of_options[] = array( 	"name" 		=> "تنطیمات پشتیبان گیری",
						"id" 		=> "of_backup",
						"std" 		=> "",
						"type" 		=> "backup",
						"desc" 		=> 'شما می توانید از دو دکمه ی پایین برای پشتیبان گیری از تنظیمات استفاده کنید، و بعد در زمانی دیگر به حالت قبل بازگردانید . این خیلی به شما کمک خواهد کرد زمانی که می خواهید تنظیمات مختلف را تجربه کنید ولی تنظیمات قبلی خود را نگه دارید و هر زمانی که خواستید به حالت قبل برگردید.',
				);
				
$of_options[] = array( 	"name" 		=> "انتقال اطلاعات تنظیمات پوسته",
						"id" 		=> "of_transfer",
						"std" 		=> "",
						"type" 		=> "transfer",
						"desc" 		=> 'شما میتوانید اطلاعات تنظیمات ذخیره شده را با کپی متن داخل باکس در نصب های مختلف پوسته قرار دهید . برای وارد کردن تنظیمات یک نصب پوسته ی دیگر اطلاعات داخل باکس را با اطلاعاتی که از آن نصب دارید تعویض کنید سپس بر روی وارد کردن تنظیمات کلیک کنید.',
				);
				
	}//End function: of_options()
}//End chack if function exists: of_options()
?>
